Zum Inhalt

Get priceListLine

Retrieve the properties and relationships of a price list line object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/priceListLinesWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a priceListLines object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/priceListLinesWebCon?$filter=priceListCode eq 'P100000' and productType eq 'Item' 

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
            "id": "f1f82c86-040e-f011-a0ea-a7e870509ac4",
            "priceListCode": "P100000",
            "assignToType": "All_x0020_Customers",
            "assignToNo": "",
            "currencyCode": "",
            "startingDate": "0001-01-01",
            "endingDate": "0001-01-01",
            "productType": "Item",
            "productNo": "200000",
            "description": "KTG-TSO-DATA Decke",
            "variantCode": "",
            "workTypeCode": "",
            "unitOfMeasureCode": "STÜCK",
            "minimumQuantity": 0,
            "unitPrice": 13,
            "allowLineDisc": false,
            "allowInvoiceDisc": true,
            "vatBusPostingGrPrice": "",
            "amountType": "Any",
            "lastModifiedDateTime": "2025-04-15T09:20:22.333Z"
}

See also

Tips for working with the APIs
priceListLines